ApplicationDefinition (CMDB Model API)
Keywords: com.collation.platform.model.provision.definition.ApplicationDefinition interface

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.collation.platform.model.provision.definition
Interface ApplicationDefinition

All Superinterfaces:
  ModelObject, java.io.Serializable

    public interface ApplicationDefinition

extends ModelObject

Naming Rules:
  0="name,defVersion"
Persistable:
  true
Table Name:
  APPDEFN
Display Name:
  name,defVersion

Method Summary
`Action[]` | `getActions()`
`java.lang.String` | `getDefVersion()`
`ModuleDefinition[]` | `getModuleDefinitions()`
`java.lang.String` | `getName()`
`Parameter[]` | `getParameters()`
`Workflow[]` | `getWorkflows()`
`boolean` | `hasActions()`
`boolean` | `hasDefVersion()`
`boolean` | `hasModuleDefinitions()`
`boolean` | `hasName()`
`boolean` | `hasParameters()`
`boolean` | `hasWorkflows()`
`void` | `setActions(Action[] s)`
`void` | `setDefVersion(java.lang.String s)`
`void` | `setModuleDefinitions(ModuleDefinition[] s)`
`void` | `setName(java.lang.String s)`
`void` | `setParameters(Parameter[] s)`
`void` | `setWorkflows(Workflow[] workflows)`

Methods inherited from interface com.collation.platform.model.ModelObject
`getAdminState, getAllAttributes, getBidiFlag, getBidiFormat, getCDMSource, getCmdbSource, getContextIp, getCreatedBy, getDescription, getDisplayName, getExtendedAttributes, getGuid, getLabel, getLastModifiedBy, getLastModifiedTime, getObjectType, getSourceToken, hasAdminState, hasBidiFlag, hasBidiFormat, hasCDMSource, hasCmdbSource, hasContextIp, hasDescription, hasDisplayName, hasExtendedAttributes, hasGuid, hasLabel, hasObjectType, hasSourceToken, setAdminState, setBidiFlag, setBidiFormat, setCDMSource, setCmdbSource, setContextIp, setDescription, setExtendedAttributes, setGuid, setLabel, setObjectType, setSourceToken`

Method Detail

### setName

    void setName(java.lang.String s)

### getName

    java.lang.String getName()
                             throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasName

    boolean hasName()

### setDefVersion

    void setDefVersion(java.lang.String s)

### getDefVersion

    java.lang.String getDefVersion()
                                   throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasDefVersion

    boolean hasDefVersion()

### setModuleDefinitions

    void setModuleDefinitions(ModuleDefinition[] s)

### getModuleDefinitions

    ModuleDefinition[] getModuleDefinitions()
                                            throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasModuleDefinitions

    boolean hasModuleDefinitions()

### setActions

    void setActions(Action[] s)

### getActions

    Action[] getActions()
                        throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasActions

    boolean hasActions()

### setParameters

    void setParameters(Parameter[] s)

### getParameters

    Parameter[] getParameters()
                              throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasParameters

    boolean hasParameters()

### setWorkflows

    void setWorkflows(Workflow[] workflows)

### getWorkflows

    Workflow[] getWorkflows()
                            throws AttributeNotSetException

  Throws:
    `AttributeNotSetException`

### hasWorkflows

    boolean hasWorkflows()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD